Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.appconn.sftp
Class SFTP

    java.lang.Object
      com.stc.connector.batchadapter.appconn.sftp.SFTP

All Implemented Interfaces:
  SSHInterface

    public class SFTP

extends java.lang.Object
implements SSHInterface

Interface class of SFTP (over SSH) external system (exposed to user collaboration);

Constructor Summary
`SFTP()` constructor
`SFTP(com.stc.connector.appconn.common.ApplicationConnectionFactory acf, java.lang.String collabOID, java.lang.String connName, java.lang.String etdClassName)` constructor for creating manual mode application object;
`SFTP(com.stc.connector.framework.util.ConfigurationHelper p, java.util.Map aParams)` constructor

Method Summary
`com.stc.connector.appconn.common.ApplicationConnection` | `getApplication()`
`SFTPClient` | `getClient()` get the client instance associated with this OTD
`SFTPConfiguration` | `getConfiguration()` return the current configuration for the OTD;
`void` | `reset()` life cycle method, delegate to client method reset();
`void` | `setConfiguration(SFTPConfiguration c)` set the configuration for the OTD should not be called by the collaboration code;
`void` | `terminate()` life cycle method, delegate to client method terminate();

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SFTP

    public SFTP()

  constructor

### SFTP

    public SFTP(com.stc.connector.appconn.common.ApplicationConnectionFactory acf,
                java.lang.String collabOID,
                java.lang.String connName,
                java.lang.String etdClassName)

  constructor for creating manual mode application object;

  Parameters:
    `acf` -
    `collabOID` -
    `connName` -
    `etdClassName` -

### SFTP

    public SFTP(com.stc.connector.framework.util.ConfigurationHelper p,
                java.util.Map aParams)
         throws java.lang.Exception

  constructor

  Parameters:
    `p` - - configuration parameters;
  Throws:
    `java.lang.Exception`

Method Detail

### getClient

    public SFTPClient getClient()

  get the client instance associated with this OTD

  Returns:
    SFTPClient instance;

### getConfiguration

    public SFTPConfiguration getConfiguration()

  return the current configuration for the OTD;

  Returns:
    the configuration for the OTD instance

### setConfiguration

    public void setConfiguration(SFTPConfiguration c)

  set the configuration for the OTD should not be called by the collaboration code;

  Parameters:
    `c` -

### reset

    public void reset()
               throws java.lang.Exception

  life cycle method, delegate to client method reset();

  Specified by:
    `reset` in interface `SSHInterface`
  Throws:
    `java.lang.Exception`

### terminate

    public void terminate()
                   throws java.lang.Exception

  life cycle method, delegate to client method terminate();

  Specified by:
    `terminate` in interface `SSHInterface`
  Throws:
    `java.lang.Exception`

### getApplication

    public com.stc.connector.appconn.common.ApplicationConnection getApplication()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD